libosmo-sigtran: include/osmocom/sigtran/protocol/sua.h File Reference

libosmo-sigtran 2.2.1.99-1c6a Osmocom SIGTRAN library

Macros | Functions
sua.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include <osmocom/sigtran/protocol/m3ua.h>`

Go to the source code of this file.

## Macros
#define | SUA_VERSION 1
#define | SUA_PPID 4
#define | SUA_PORT 14001
#define | SUA_MSGC_MGMT 0
#define | SUA_MSGC_SNM 2
#define | SUA_MSGC_ASPSM 3
#define | SUA_MSGC_ASPTM 4
#define | SUA_MSGC_CL 7
#define | SUA_MSGC_CO 8
#define | SUA_MSGC_RKM 9
#define | SUA_MGMT_ERR 0
#define | SUA_MGMT_NTFY 1
#define | SUA_SNM_DUNA 1
#define | SUA_SNM_DAVA 2
#define | SUA_SNM_DAUD 3
#define | SUA_SNM_SCON 4
#define | SUA_SNM_DUPU 5
#define | SUA_SNM_DRST 6
#define | SUA_ASPSM_UP 1
#define | SUA_ASPSM_DOWN 2
#define | SUA_ASPSM_BEAT 3
#define | SUA_ASPSM_UP_ACK 4
#define | SUA_ASPSM_DOWN_ACK 5
#define | SUA_ASPSM_BEAT_ACK 6
#define | SUA_ASPTM_ACTIVE 1
#define | SUA_ASPTM_INACTIVE 2
#define | SUA_ASPTM_ACTIVE_ACK 3
#define | SUA_ASPTM_INACTIVE_ACK 4
#define | SUA_RKM_REG_REQ 1
#define | SUA_RKM_REG_RSP 2
#define | SUA_RKM_DEREG_REQ 3
#define | SUA_RKM_DEREG_RSP 4
#define | SUA_CL_CLDT 1
#define | SUA_CL_CLDR 2
#define | SUA_CO_CORE 1
#define | SUA_CO_COAK 2
#define | SUA_CO_COREF 3
#define | SUA_CO_RELRE 4
#define | SUA_CO_RELCO 5
#define | SUA_CO_RESCO 6
#define | SUA_CO_RESRE 7
#define | SUA_CO_CODT 8
#define | SUA_CO_CODA 9
#define | SUA_CO_COERR 10
#define | SUA_CO_COIT 11 /* Connection Oriented Inactiviy Test */
#define | SUA_IEI_INFO_STRING M3UA_IEI_INFO_STRING
#define | SUA_IEI_ROUTE_CTX M3UA_IEI_ROUTE_CTX
#define | SUA_IEI_DIAG_INFO M3UA_IEI_DIAG_INFO
#define | SUA_IEI_HEARTBT_DATA M3UA_IEI_HEARDBT_DATA
#define | SUA_IEI_TRAF_MODE_TYP M3UA_IEI_TRAF_MODE_TYP
#define | SUA_IEI_ERR_CODE M3UA_IEI_ERR_CODE
#define | SUA_IEI_STATUS M3UA_IEI_STATUS
#define | SUA_IEI_ASP_ID M3UA_IEI_ASP_ID
#define | SUA_IEI_AFFECTED_PC M3UA_IEI_AFFECTED_PC
#define | SUA_IEI_CORR_ID M3UA_IEI_CORR_ID
#define | SUA_IEI_REG_RESULT 0x0014
#define | SUA_IEI_DEREG_RESULT 0x0015
#define | SUA_IEI_S7_HOP_CTR 0x0101
#define | SUA_IEI_SRC_ADDR 0x0102
#define | SUA_IEI_DEST_ADDR 0x0103
#define | SUA_IEI_SRC_REF 0x0104
#define | SUA_IEI_DEST_REF 0x0105
#define | SUA_IEI_CAUSE 0x0106
#define | SUA_IEI_SEQ_NR 0x0107
#define | SUA_IEI_RX_SEQ_NR 0x0108
#define | SUA_IEI_ASP_CAPA 0x0109
#define | SUA_IEI_CREDIT 0x010A
#define | SUA_IEI_DATA 0x010B
#define | SUA_IEI_USER_CAUSE 0x010C
#define | SUA_IEI_NET_APPEARANCE 0x010D
#define | SUA_IEI_ROUTING_KEY 0x010E
#define | SUA_IEI_DRN 0x010F
#define | SUA_IEI_TID 0x0110
#define | SUA_IEI_SMI 0x0112
#define | SUA_IEI_IMPORTANCE 0x0113
#define | SUA_IEI_MSG_PRIO 0x0114
#define | SUA_IEI_PROTO_CLASS 0x0115
#define | SUA_IEI_SEQ_CTRL 0x0116
#define | SUA_IEI_SEGMENTATION 0x0117
#define | SUA_IEI_CONG_LEVEL 0x0118
#define | SUA_IEI_GT 0x8001
#define | SUA_IEI_PC 0x8002
#define | SUA_IEI_SSN 0x8003
#define | SUA_IEI_IPv4 0x8004
#define | SUA_IEI_HOST 0x8005
#define | SUA_IEI_IPv6 0x8006
#define | SUA_RI_GT 1
#define | SUA_RI_SSN_PC 2
#define | SUA_RI_HOST 3
#define | SUA_RI_SSN_IP 4
#define | SUA_CAUSE_T_MASK 0xff00
#define | SUA_CAUSE_T_RETURN 0x0100
#define | SUA_CAUSE_T_REFUSAL 0x0200
#define | SUA_CAUSE_T_RELEASE 0x0300
#define | SUA_CAUSE_T_RESET 0x0400
#define | SUA_CAUSE_T_ERROR 0x0500
#define | SUA_ERR_INVALID_VERSION M3UA_ERR_INVALID_VERSION
#define | SUA_ERR_UNSUPP_MSG_CLASS M3UA_ERR_UNSUPP_MSG_CLASS
#define | SUA_ERR_UNSUPP_MSG_TYPE M3UA_ERR_UNSUPP_MSG_TYPE
#define | SUA_ERR_UNSUPP_TRAF_MOD_TYP M3UA_ERR_UNSUPP_TRAF_MOD_TYP
#define | SUA_ERR_UNEXPECTED_MSG M3UA_ERR_UNEXPECTED_MSG
#define | SUA_ERR_PROTOCOL_ERR M3UA_ERR_PROTOCOL_ERR
#define | SUA_ERR_INVAL_STREAM_ID M3UA_ERR_INVAL_STREAM_ID
#define | SUA_ERR_REFUSED_MGMT_BLOCKING M3UA_ERR_REFUSED_MGMT_BLOCKING
#define | SUA_ERR_ASP_ID_REQD M3UA_ERR_ASP_ID_REQD
#define | SUA_ERR_INVAL_ASP_ID M3UA_ERR_INVAL_ASP_ID
#define | SUA_ERR_INVAL_PARAM_VAL M3UA_ERR_INVAL_PARAM_VAL
#define | SUA_ERR_PARAM_FIELD_ERR M3UA_ERR_PARAM_FIELD_ERR
#define | SUA_ERR_UNEXP_PARAM M3UA_ERR_UNEXP_PARAM
#define | SUA_ERR_DEST_STATUS_UNKN M3UA_ERR_DEST_STATUS_UNKN
#define | SUA_ERR_INVAL_NET_APPEAR M3UA_ERR_INVAL_NET_APPEAR
#define | SUA_ERR_MISSING_PARAM M3UA_ERR_MISSING_PARAM
#define | SUA_ERR_INVAL_ROUT_CTX M3UA_ERR_INVAL_ROUT_CTX
#define | SUA_ERR_NO_CONFGD_AS_FOR_ASP M3UA_ERR_NO_CONFGD_AS_FOR_ASP
#define | SUA_ERR_SUBSYS_STATUS_UNKN 0x1b
#define | SUA_ERR_INVAL_LOADSH_LEVEL 0x1c

## Functions
const char * | osmo_sua_sccp_cause_name (uint32_t sccp_cause, char *out_buf, size_t out_buf_len)

## Macro Definition Documentation

## ◆ SUA_ASPSM_BEAT

#define SUA_ASPSM_BEAT 3

## ◆ SUA_ASPSM_BEAT_ACK

#define SUA_ASPSM_BEAT_ACK 6

## ◆ SUA_ASPSM_DOWN

#define SUA_ASPSM_DOWN 2

## ◆ SUA_ASPSM_DOWN_ACK

#define SUA_ASPSM_DOWN_ACK 5

## ◆ SUA_ASPSM_UP

#define SUA_ASPSM_UP 1

## ◆ SUA_ASPSM_UP_ACK

#define SUA_ASPSM_UP_ACK 4

## ◆ SUA_ASPTM_ACTIVE

#define SUA_ASPTM_ACTIVE 1

## ◆ SUA_ASPTM_ACTIVE_ACK

#define SUA_ASPTM_ACTIVE_ACK 3

## ◆ SUA_ASPTM_INACTIVE

#define SUA_ASPTM_INACTIVE 2

## ◆ SUA_ASPTM_INACTIVE_ACK

#define SUA_ASPTM_INACTIVE_ACK 4

## ◆ SUA_CAUSE_T_ERROR

#define SUA_CAUSE_T_ERROR 0x0500

## ◆ SUA_CAUSE_T_MASK

#define SUA_CAUSE_T_MASK 0xff00

## ◆ SUA_CAUSE_T_REFUSAL

#define SUA_CAUSE_T_REFUSAL 0x0200

## ◆ SUA_CAUSE_T_RELEASE

#define SUA_CAUSE_T_RELEASE 0x0300

## ◆ SUA_CAUSE_T_RESET

#define SUA_CAUSE_T_RESET 0x0400

## ◆ SUA_CAUSE_T_RETURN

#define SUA_CAUSE_T_RETURN 0x0100

## ◆ SUA_CL_CLDR

#define SUA_CL_CLDR 2

## ◆ SUA_CL_CLDT

#define SUA_CL_CLDT 1

## ◆ SUA_CO_COAK

#define SUA_CO_COAK 2

## ◆ SUA_CO_CODA

#define SUA_CO_CODA 9

## ◆ SUA_CO_CODT

#define SUA_CO_CODT 8

## ◆ SUA_CO_COERR

#define SUA_CO_COERR 10

## ◆ SUA_CO_COIT

#define SUA_CO_COIT 11 /* Connection Oriented Inactiviy Test */

## ◆ SUA_CO_CORE

#define SUA_CO_CORE 1

## ◆ SUA_CO_COREF

#define SUA_CO_COREF 3

## ◆ SUA_CO_RELCO

#define SUA_CO_RELCO 5

## ◆ SUA_CO_RELRE

#define SUA_CO_RELRE 4

## ◆ SUA_CO_RESCO

#define SUA_CO_RESCO 6

## ◆ SUA_CO_RESRE

#define SUA_CO_RESRE 7

## ◆ SUA_ERR_ASP_ID_REQD

#define SUA_ERR_ASP_ID_REQD M3UA_ERR_ASP_ID_REQD

## ◆ SUA_ERR_DEST_STATUS_UNKN

#define SUA_ERR_DEST_STATUS_UNKN M3UA_ERR_DEST_STATUS_UNKN

## ◆ SUA_ERR_INVAL_ASP_ID

#define SUA_ERR_INVAL_ASP_ID M3UA_ERR_INVAL_ASP_ID

## ◆ SUA_ERR_INVAL_LOADSH_LEVEL

#define SUA_ERR_INVAL_LOADSH_LEVEL 0x1c

## ◆ SUA_ERR_INVAL_NET_APPEAR

#define SUA_ERR_INVAL_NET_APPEAR M3UA_ERR_INVAL_NET_APPEAR

## ◆ SUA_ERR_INVAL_PARAM_VAL

#define SUA_ERR_INVAL_PARAM_VAL M3UA_ERR_INVAL_PARAM_VAL

## ◆ SUA_ERR_INVAL_ROUT_CTX

#define SUA_ERR_INVAL_ROUT_CTX M3UA_ERR_INVAL_ROUT_CTX

## ◆ SUA_ERR_INVAL_STREAM_ID

#define SUA_ERR_INVAL_STREAM_ID M3UA_ERR_INVAL_STREAM_ID

## ◆ SUA_ERR_INVALID_VERSION

#define SUA_ERR_INVALID_VERSION M3UA_ERR_INVALID_VERSION

## ◆ SUA_ERR_MISSING_PARAM

#define SUA_ERR_MISSING_PARAM M3UA_ERR_MISSING_PARAM

## ◆ SUA_ERR_NO_CONFGD_AS_FOR_ASP

#define SUA_ERR_NO_CONFGD_AS_FOR_ASP M3UA_ERR_NO_CONFGD_AS_FOR_ASP

## ◆ SUA_ERR_PARAM_FIELD_ERR

#define SUA_ERR_PARAM_FIELD_ERR M3UA_ERR_PARAM_FIELD_ERR

## ◆ SUA_ERR_PROTOCOL_ERR

#define SUA_ERR_PROTOCOL_ERR M3UA_ERR_PROTOCOL_ERR

## ◆ SUA_ERR_REFUSED_MGMT_BLOCKING

#define SUA_ERR_REFUSED_MGMT_BLOCKING M3UA_ERR_REFUSED_MGMT_BLOCKING

## ◆ SUA_ERR_SUBSYS_STATUS_UNKN

#define SUA_ERR_SUBSYS_STATUS_UNKN 0x1b

## ◆ SUA_ERR_UNEXP_PARAM

#define SUA_ERR_UNEXP_PARAM M3UA_ERR_UNEXP_PARAM

## ◆ SUA_ERR_UNEXPECTED_MSG

#define SUA_ERR_UNEXPECTED_MSG M3UA_ERR_UNEXPECTED_MSG

## ◆ SUA_ERR_UNSUPP_MSG_CLASS

#define SUA_ERR_UNSUPP_MSG_CLASS M3UA_ERR_UNSUPP_MSG_CLASS

## ◆ SUA_ERR_UNSUPP_MSG_TYPE

#define SUA_ERR_UNSUPP_MSG_TYPE M3UA_ERR_UNSUPP_MSG_TYPE

## ◆ SUA_ERR_UNSUPP_TRAF_MOD_TYP

#define SUA_ERR_UNSUPP_TRAF_MOD_TYP M3UA_ERR_UNSUPP_TRAF_MOD_TYP

## ◆ SUA_IEI_AFFECTED_PC

#define SUA_IEI_AFFECTED_PC M3UA_IEI_AFFECTED_PC

## ◆ SUA_IEI_ASP_CAPA

#define SUA_IEI_ASP_CAPA 0x0109

## ◆ SUA_IEI_ASP_ID

#define SUA_IEI_ASP_ID M3UA_IEI_ASP_ID

## ◆ SUA_IEI_CAUSE

#define SUA_IEI_CAUSE 0x0106

## ◆ SUA_IEI_CONG_LEVEL

#define SUA_IEI_CONG_LEVEL 0x0118

## ◆ SUA_IEI_CORR_ID

#define SUA_IEI_CORR_ID M3UA_IEI_CORR_ID

## ◆ SUA_IEI_CREDIT

#define SUA_IEI_CREDIT 0x010A

## ◆ SUA_IEI_DATA

#define SUA_IEI_DATA 0x010B

## ◆ SUA_IEI_DEREG_RESULT

#define SUA_IEI_DEREG_RESULT 0x0015

## ◆ SUA_IEI_DEST_ADDR

#define SUA_IEI_DEST_ADDR 0x0103

## ◆ SUA_IEI_DEST_REF

#define SUA_IEI_DEST_REF 0x0105

## ◆ SUA_IEI_DIAG_INFO

#define SUA_IEI_DIAG_INFO M3UA_IEI_DIAG_INFO

## ◆ SUA_IEI_DRN

#define SUA_IEI_DRN 0x010F

## ◆ SUA_IEI_ERR_CODE

#define SUA_IEI_ERR_CODE M3UA_IEI_ERR_CODE

## ◆ SUA_IEI_GT

#define SUA_IEI_GT 0x8001

## ◆ SUA_IEI_HEARTBT_DATA

#define SUA_IEI_HEARTBT_DATA M3UA_IEI_HEARDBT_DATA

## ◆ SUA_IEI_HOST

#define SUA_IEI_HOST 0x8005

## ◆ SUA_IEI_IMPORTANCE

#define SUA_IEI_IMPORTANCE 0x0113

## ◆ SUA_IEI_INFO_STRING

#define SUA_IEI_INFO_STRING M3UA_IEI_INFO_STRING

## ◆ SUA_IEI_IPv4

#define SUA_IEI_IPv4 0x8004

## ◆ SUA_IEI_IPv6

#define SUA_IEI_IPv6 0x8006

## ◆ SUA_IEI_MSG_PRIO

#define SUA_IEI_MSG_PRIO 0x0114

## ◆ SUA_IEI_NET_APPEARANCE

#define SUA_IEI_NET_APPEARANCE 0x010D

## ◆ SUA_IEI_PC

#define SUA_IEI_PC 0x8002

## ◆ SUA_IEI_PROTO_CLASS

#define SUA_IEI_PROTO_CLASS 0x0115

## ◆ SUA_IEI_REG_RESULT

#define SUA_IEI_REG_RESULT 0x0014

## ◆ SUA_IEI_ROUTE_CTX

#define SUA_IEI_ROUTE_CTX M3UA_IEI_ROUTE_CTX

## ◆ SUA_IEI_ROUTING_KEY

#define SUA_IEI_ROUTING_KEY 0x010E

## ◆ SUA_IEI_RX_SEQ_NR

#define SUA_IEI_RX_SEQ_NR 0x0108

## ◆ SUA_IEI_S7_HOP_CTR

#define SUA_IEI_S7_HOP_CTR 0x0101

## ◆ SUA_IEI_SEGMENTATION

#define SUA_IEI_SEGMENTATION 0x0117

## ◆ SUA_IEI_SEQ_CTRL

#define SUA_IEI_SEQ_CTRL 0x0116

## ◆ SUA_IEI_SEQ_NR

#define SUA_IEI_SEQ_NR 0x0107

## ◆ SUA_IEI_SMI

#define SUA_IEI_SMI 0x0112

## ◆ SUA_IEI_SRC_ADDR

#define SUA_IEI_SRC_ADDR 0x0102

## ◆ SUA_IEI_SRC_REF

#define SUA_IEI_SRC_REF 0x0104

## ◆ SUA_IEI_SSN

#define SUA_IEI_SSN 0x8003

## ◆ SUA_IEI_STATUS

#define SUA_IEI_STATUS M3UA_IEI_STATUS

## ◆ SUA_IEI_TID

#define SUA_IEI_TID 0x0110

## ◆ SUA_IEI_TRAF_MODE_TYP

#define SUA_IEI_TRAF_MODE_TYP M3UA_IEI_TRAF_MODE_TYP

## ◆ SUA_IEI_USER_CAUSE

#define SUA_IEI_USER_CAUSE 0x010C

## ◆ SUA_MGMT_ERR

#define SUA_MGMT_ERR 0

## ◆ SUA_MGMT_NTFY

#define SUA_MGMT_NTFY 1

## ◆ SUA_MSGC_ASPSM

#define SUA_MSGC_ASPSM 3

## ◆ SUA_MSGC_ASPTM

#define SUA_MSGC_ASPTM 4

## ◆ SUA_MSGC_CL

#define SUA_MSGC_CL 7

## ◆ SUA_MSGC_CO

#define SUA_MSGC_CO 8

## ◆ SUA_MSGC_MGMT

#define SUA_MSGC_MGMT 0

## ◆ SUA_MSGC_RKM

#define SUA_MSGC_RKM 9

## ◆ SUA_MSGC_SNM

#define SUA_MSGC_SNM 2

## ◆ SUA_PORT

#define SUA_PORT 14001

## ◆ SUA_PPID

#define SUA_PPID 4

## ◆ SUA_RI_GT

#define SUA_RI_GT 1

## ◆ SUA_RI_HOST

#define SUA_RI_HOST 3

## ◆ SUA_RI_SSN_IP

#define SUA_RI_SSN_IP 4

## ◆ SUA_RI_SSN_PC

#define SUA_RI_SSN_PC 2

## ◆ SUA_RKM_DEREG_REQ

#define SUA_RKM_DEREG_REQ 3

## ◆ SUA_RKM_DEREG_RSP

#define SUA_RKM_DEREG_RSP 4

## ◆ SUA_RKM_REG_REQ

#define SUA_RKM_REG_REQ 1

## ◆ SUA_RKM_REG_RSP

#define SUA_RKM_REG_RSP 2

## ◆ SUA_SNM_DAUD

#define SUA_SNM_DAUD 3

## ◆ SUA_SNM_DAVA

#define SUA_SNM_DAVA 2

## ◆ SUA_SNM_DRST

#define SUA_SNM_DRST 6

## ◆ SUA_SNM_DUNA

#define SUA_SNM_DUNA 1

## ◆ SUA_SNM_DUPU

#define SUA_SNM_DUPU 5

## ◆ SUA_SNM_SCON

#define SUA_SNM_SCON 4

## ◆ SUA_VERSION

#define SUA_VERSION 1

## Function Documentation

## ◆ osmo_sua_sccp_cause_name()

const char * osmo_sua_sccp_cause_name | ( | uint32_t | sccp_cause,
|  | char * | out_buf,
|  | size_t | out_buf_len
| ) |  |

References NULL, SUA_CAUSE_T_ERROR, SUA_CAUSE_T_MASK, SUA_CAUSE_T_REFUSAL, SUA_CAUSE_T_RELEASE, SUA_CAUSE_T_RESET, SUA_CAUSE_T_RETURN, and sua_cause_type_names.